API referenceBlog
Create a blog post
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/stores/string/blog/posts" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "contentMd": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "slug": "string", "excerpt": "string", "contentMd": "string", "coverImageId": "f61f10db-f133-4c85-9a07-18e8faa1b9b3", "coverUrl": "string", "coverImageUrl": "string", "tags": [ "string" ], "featuredProductIds": [ "96361c4f-d5bf-405e-a2f5-91a1ac81f31b" ], "status": "draft", "effectiveStatus": "draft", "publishedAt": "string", "scheduledAt": "string", "metaTitle": "string", "metaDescription": "string", "viewCount": -9007199254740991, "createdAt": "string", "updatedAt": "string"}